<?php
session_start();

require_once("connect.db.php");
$id = isset($_POST['id']) ? (int)$_POST['id'] : 0;

$response = array(
    "success" => false,
    "error" => ""
);

if (!isset($_SESSION['uid'])) {
    $response["error"] = "You must be logged in to delete a note";
} else if ($id <= 0) {
    $response["error"] = "Invalid note ID specified";
} else {
    $query = "DELETE FROM `note` WHERE `id` = ?";
    $stmt = $mysqli->stmt_init();
    if ($stmt->prepare($query)) {
        $stmt->bind_param("i", $id);
        if ($stmt->execute()) {
            $stmt->close();
            $response["success"] = true;
        } else {
            $response["error"] = "Could not execute query";
        }
    } else {
        $response["error"] = "Could not insert new note, please try again";
    }
}
$mysqli->close();
header("Content-Type: application/json; charset=UTF-8");
echo json_encode($response);