$(function(){
    //Hide the result list on load
    $('#results-list').hide();
    //Click event when search button is pressed
    $('#search').click(function(){
        doSearch();
    });
    //Keypress event to see if enter was pressed in text input
    $('#text').keydown(function(e){
        if(e.keyCode == 13){
            doSearch();
        }
    });
});

function doSearch() {
    var searchText = $('#text').val();
    //Rehide the search results
    $('#results-list').hide();
    $.ajax({
        url: '/search.php',
        type: 'POST',
        data: {
            'text': searchText
        },
        beforeSend: function(){
            $('.loading').fadeIn();
        },
        success: function(data) {
            $('.loading').fadeOut();
            //Was everything successful, no errors in the PHP script
            if (data.success) {
                $('#results-list').empty();
                if(data.results.length > 0) {
                    $.each(data.results, function(){
                        $('#results-list').append("<li>" + this.title + "</li>");
                    });
                } else {
                    $('#results-list').append("<li class='no-results'>Your search did not return any results</li>");
                }
                //Show the results list
                $('#results-list').fadeIn();
            } else {
                //Display the error message
                alert(data.error);
            }
        }
    });
}
