$(function(){
    $('#text').keyup(function(e){
        if ($('#text').val().length > 2) {
            $('.suggest-list').show();
            makeSuggestion();
        } else {
            $('.suggest-list').hide();
        }
    });
    $('.search').on("click", ".suggestion", function(){
        $('#text').val($(this).html());
    });
});

function makeSuggestion() {
    var searchText = $('#text').val();
    $('.suggest-list').empty();
    $.ajax({
        url: '/search.php',
        type: 'POST',
        data: {
            'text': searchText
        },
        beforeSend: function(){
            $('.suggest-list').append("<li class='loading'>Loading...</li>");
        },
        success: function(data) {
            if (data.success) {
                $('.suggest-list').empty();
                if(data.results.length > 0) {
                    $.each(data.results, function(){
                        $('.suggest-list').append("<li><a href='#' class='suggestion'>" + this.title + "</a></li>");
                    });
                } else {
                    $('.suggest-list').append("<li class='no-results'>Nothing to suggest...</li>");
                }
            } else {
                alert(data.error);
            }
        }
    });
}
